Name: hermes
Version: 1.3.2
Release: ipl9mdk

Summary: Hermes pixel format conversion library
License: LGPL
Group: System/Libraries
Source: http://dark.x.dtu.dk/~mbn/clanlib/download/Hermes-%version.tar.bz2
Url: http://clanlib.org/hermes

# Automatically added by buildreq on Tue Dec 03 2002
BuildRequires: glibc-devel-static

%description
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.

%package -n lib%name
Summary: Hermes pixel format conversion library
Group: System/Libraries
Provides: %name = %version
Obsoletes: %name

%description -n lib%name
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.

On x86 and MMX architectures, handwritten assembler routines are taking over
the job and doing it lightning fast.

On top of that, HERMES provides fast surface clearing, stretching and some
dithering. Supported platforms are basically all that have an ANSI C compiler
as there is no platform specific code but those are supported: DOS, Win32
(Visual C), Linux, FreeBSD (IRIX, Solaris are on hold at the moment), some BeOS
support.

%package -n lib%name-devel
Summary: Headers for developing programs that will use hermes.
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package -n lib%name-devel-static
Summary: Static libraries for developing programs that will use hermes.
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libraries for the %name

%prep
%setup -q -n Hermes-%version

%build
%configure
%make_build

%install
%makeinstall

%post -n lib%name -p /sbin/ldconfig

%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%doc AUTHORS TODO TODO.conversion
%_libdir/lib*.so.*

%files -n lib%name-devel
%doc docs/api/*.htm*
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Tue Dec 03 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.3.2-ipl9mdk
- Rebuilt in new environment
- Added buildrequires

* Wed Mar 13 2002 Stanislav Ievlev <inger@altlinux.ru> 1.3.2-ipl8mdk
- Rebuilt
- Cleanup spec
- Move static libraries into separate package

* Fri Feb  9  2001 Kostya Timoshenko <kt@petr.kz> 1.3.2-ipl7mdk
- change tag Group

* Tue Jan 30 2001 Kostya Timoshenko <kt@petr.kz> 1.3.2-ipl6mdk
- change name to libhermes

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz>
- Rebuild for RE

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.2-5mdk
- new lib policy

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.2-4mdk
- provides Hermes for compatibility

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.2-3mdk
- change name to hermes (e.g. uppercase names suck)

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.2-2mdk
- automatically added packager tag

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.1-5mdk
- BM

* Mon Jul 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.1-4mdk
- macros

* Mon Jul 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-3mdk
- bzip2 sources

* Sat Jul 01 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.1-2mdk
- makeinstall macro

* Wed May 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.1-1mdk
- took SRPM from Hermes web site
- (a lot of) Mandrake adaptations including split between main and devel
